Subject: [Ltru] Re: New registry with Suppress_Script

From: Frank Ellermann <[email-masked]>
Date: Sun, 01 May 2005 07:17:10 +0200

Doug Ewell wrote:

> I could add other Latin-only languages like Corsican
> and Hawaiian and Walloon
[...]

I've proposed ways to fill these gaps (e.g. let the
language tag list do it), Jefsey proposed "agreement
of three experts" in a similar context, and IMHO it
has to be done before the final date-B.

If we have no proper procedure at all the draft registry
should go through a normal "last call" as RfC, so that
others have a chance to check and add Suppress-Scripts.

It's a very bad idea to add or remove Suppress-Scripts
_after_ the final date-B, because that could in theory
force a "worldwide retagging" to avoid incompatibilities.

Below you see a quick and dirty list based on the draft
registry with File-Date: 2005-04-30, bye, Frank

     AA  AFAR          | CYRL AB  ABKHAZIAN     |      AE  AVESTAN
LATN AF  AFRIKAANS     |      AK  AKAN          | ETHI AM  AMHARIC
     AN  ARAGONESE     | ARAB AR  ARABIC        | BENG AS  ASSAMESE
     AV  AVARIC        | LATN AY  AYMARA        |      AZ  AZERBAIJANI
     BA  BASHKIR       | CYRL BE  BELARUSIAN    | CYRL BG  BULGARIAN
     BH  BIHARI        |      BI  BISLAMA       |      BM  BAMBARA
BENG BN  BENGALI       |      BO  TIBETAN       |      BR  BRETON
LATN BS  BOSNIAN       | LATN CA  CATALAN; VALE |      CE  CHECHEN
LATN CH  CHAMORRO      |      CO  CORSICAN      |      CR  CREE
LATN CS  CZECH         |      CU  CHURCH SLAVIC |      CV  CHUVASH
LATN CY  WELSH         | LATN DA  DANISH        | LATN DE  GERMAN
THAA DV  DIVEHI        | TIBT DZ  DZONGKHA      |      EE  EWE
GREK EL  GREEK, MODERN | LATN EN  ENGLISH       | LATN EO  ESPERANTO
LATN ES  SPANISH; CAST | LATN ET  ESTONIAN      | LATN EU  BASQUE
ARAB FA  PERSIAN       |      FF  FULAH         | LATN FI  FINNISH
LATN FJ  FIJIAN        | LATN FO  FAROESE       | LATN FR  FRENCH
     FY  FRISIAN       | LATN GA  IRISH         |      GD  GAELIC; SCOTT
LATN GL  GALLEGAN      | LATN GN  GUARANI       | GUJR GU  GUJARATI
LATN GV  MANX          |      HA  HAUSA         | HEBR HE  HEBREW
DEVA HI  HINDI         |      HO  HIRI MOTU     | LATN HR  CROATIAN
LATN HT  HAITIAN; HAIT | LATN HU  HUNGARIAN     | ARMN HY  ARMENIAN
     HZ  HERERO        |      IA  INTERLINGUA ( | LATN ID  INDONESIAN
     IE  INTERLINGUE   |      IG  IGBO          |      II  SICHUAN YI
     IK  INUPIAQ       | LATN IN  INDONESIAN    |      IO  IDO
LATN IS  ICELANDIC     | LATN IT  ITALIAN       |      IU  INUKTITUT
HEBR IW  HEBREW        |      JA  JAPANESE      |      JI  YIDDISH
     JV  JAVANESE      |      JW  JAVANESE      | GEOR KA  GEORGIAN
     KG  KONGO         |      KI  KIKUYU; GIKUY |      KJ  KUANYAMA; KWA
CYRL KK  KAZAKH        | LATN KL  KALAALLISUT;  | KHMR KM  KHMER
KNDA KN  KANNADA       |      KO  KOREAN        |      KR  KANURI
     KS  KASHMIRI      |      KU  KURDISH       |      KV  KOMI
     KW  CORNISH       |      KY  KIRGHIZ       | LATN LA  LATIN
LATN LB  LUXEMBOURGISH |      LG  GANDA         |      LI  LIMBURGAN; LI
LATN LN  LINGALA       | LAOO LO  LAO           | LATN LT  LITHUANIAN
     LU  LUBA-KATANGA  | LATN LV  LATVIAN       | LATN MG  MALAGASY
LATN MH  MARSHALLESE   |      MI  MAORI         | CYRL MK  MACEDONIAN
MLYM ML  MALAYALAM     |      MN  MONGOLIAN     | LATN MO  MOLDAVIAN
DEVA MR  MARATHI       | LATN MS  MALAY         | LATN MT  MALTESE
MYMR MY  BURMESE       | LATN NA  NAURU         | LATN NB  NORWEGIAN BOK
LATN ND  NDEBELE, NORT | DEVA NE  NEPALI        |      NG  NDONGA
LATN NL  DUTCH; FLEMIS | LATN NN  NORWEGIAN NYN | LATN NO  NORWEGIAN
LATN NR  NDEBELE, SOUT |      NV  NAVAJO; NAVAH | LATN NY  CHICHEWA; CHE
     OC  OCCITAN (POST |      OJ  OJIBWA        | LATN OM  OROMO
ORYA OR  ORIYA         |      OS  OSSETIAN; OSS | GURU PA  PANJABI; PUNJ
     PI  PALI          | LATN PL  POLISH        | ARAB PS  PUSHTO
LATN PT  PORTUGUESE    | LATN QU  QUECHUA       |      RM  RAETO-ROMANCE
LATN RN  RUNDI         | LATN RO  ROMANIAN      | CYRL RU  RUSSIAN
LATN RW  KINYARWANDA   |      SA  SANSKRIT      |      SC  SARDINIAN
     SD  SINDHI        |      SE  NORTHERN SAMI | LATN SG  SANGO
     SH  SERBO-CROATIA | SINH SI  SINHALA; SINH | LATN SK  SLOVAK
LATN SL  SLOVENIAN     | LATN SM  SAMOAN        |      SN  SHONA
LATN SO  SOMALI        | LATN SQ  ALBANIAN      |      SR  SERBIAN
LATN SS  SWATI         | LATN ST  SOTHO, SOUTHE |      SU  SUNDANESE
LATN SV  SWEDISH       | LATN SW  SWAHILI       | TAML TA  TAMIL
TELU TE  TELUGU        |      TG  TAJIK         | THAI TH  THAI
ETHI TI  TIGRINYA      |      TK  TURKMEN       | LATN TL  TAGALOG
LATN TN  TSWANA        | LATN TO  TONGA (TONGA  | LATN TR  TURKISH
LATN TS  TSONGA        |      TT  TATAR         |      TW  TWI
     TY  TAHITIAN      |      UG  UIGHUR; UYGHU | CYRL UK  UKRAINIAN
ARAB UR  URDU          |      UZ  UZBEK         | LATN VE  VENDA
LATN VI  VIETNAMESE    |      VO  VOLAP&#XFC;K  |      WA  WALLOON
LATN WO  WOLOF         | LATN XH  XHOSA         | HEBR YI  YIDDISH
     YO  YORUBA        |      ZA  ZHUANG; CHUAN |      ZH  CHINESE
LATN ZU  ZULU          |      ACE ACHINESE      |      ACH ACOLI
     ADA ADANGME       |      ADY ADYGHE; ADYGE |      AFA AFRO-ASIATIC
     AFH AFRIHILI      |      AKK AKKADIAN      |      ALE ALEUT
     ALG ALGONQUIAN LA |      ALT SOUTHERN ALTA |      ANG ENGLISH, OLD
     APA APACHE LANGUA |      ARC ARAMAIC       |      ARN ARAUCANIAN
     ARP ARAPAHO       |      ART ARTIFICIAL (O |      ARW ARAWAK
     AST ASTURIAN; BAB |      ATH ATHAPASCAN LA |      AUS AUSTRALIAN LA
     AWA AWADHI        |      BAD BANDA         |      BAI BAMILEKE LANG
     BAL BALUCHI       |      BAN BALINESE      |      BAS BASA
     BAT BALTIC (OTHER |      BEJ BEJA          |      BEM BEMBA
     BER BERBER (OTHER |      BHO BHOJPURI      |      BIK BIKOL
     BIN BINI          |      BLA SIKSIKA       |      BNT BANTU (OTHER)
     BRA BRAJ          |      BTK BATAK (INDONE |      BUA BURIAT
     BUG BUGINESE      |      BYN BLIN; BILIN   |      CAD CADDO
     CAI CENTRAL AMERI |      CAR CARIB         |      CAU CAUCASIAN (OT
     CEB CEBUANO       |      CEL CELTIC (OTHER |      CHB CHIBCHA
     CHG CHAGATAI      |      CHK CHUUKESE      |      CHM MARI
     CHN CHINOOK JARGO |      CHO CHOCTAW       |      CHP CHIPEWYAN
     CHR CHEROKEE      |      CHY CHEYENNE      |      CMC CHAMIC LANGUA
     COP COPTIC        | LATN CPE CREOLES AND P |      CPF CREOLES AND P
     CPP CREOLES AND P |      CRH CRIMEAN TATAR |      CRP CREOLES AND P
     CSB KASHUBIAN     |      CUS CUSHITIC (OTH |      DAK DAKOTA
     DAR DARGWA        |      DAY DAYAK         |      DEL DELAWARE
     DEN SLAVE (ATHAPA |      DGR DOGRIB        |      DIN DINKA
     DOI DOGRI         |      DRA DRAVIDIAN (OT |      DSB LOWER SORBIAN
     DUA DUALA         |      DUM DUTCH, MIDDLE |      DYU DYULA
     EFI EFIK          |      EGY EGYPTIAN (ANC |      EKA EKAJUK
     ELX ELAMITE       |      ENM ENGLISH, MIDD |      EWO EWONDO
     FAN FANG          |      FAT FANTI         |      FIL FILIPINO; PIL
     FIU FINNO-UGRIAN  |      FON FON           |      FRM FRENCH, MIDDL
     FRO FRENCH, OLD ( |      FUR FRIULIAN      |      GAA GA
     GAY GAYO          |      GBA GBAYA         |      GEM GERMANIC (OTH
     GEZ GEEZ          |      GIL GILBERTESE    |      GMH GERMAN, MIDDL
     GOH GERMAN, OLD H |      GON GONDI         |      GOR GORONTALO
     GOT GOTHIC        |      GRB GREBO         |      GRC GREEK, ANCIEN
     GWI GWICH&#XB4;IN |      HAI HAIDA         |      HAW HAWAIIAN
     HIL HILIGAYNON    |      HIM HIMACHALI     |      HIT HITTITE
     HMN HMONG         |      HSB UPPER SORBIAN |      HUP HUPA
     IBA IBAN          |      IJO IJO           |      ILO ILOKO
     INC INDIC (OTHER) |      INE INDO-EUROPEAN |      INH INGUSH
     IRA IRANIAN (OTHE |      IRO IROQUOIAN LAN |      JBO LOJBAN
     JPR JUDEO-PERSIAN |      JRB JUDEO-ARABIC  |      KAA KARA-KALPAK
     KAB KABYLE        |      KAC KACHIN        |      KAM KAMBA
     KAR KAREN         |      KAW KAWI          |      KBD KABARDIAN
     KHA KHASI         |      KHI KHOISAN (OTHE |      KHO KHOTANESE
     KMB KIMBUNDU      | DEVA KOK KONKANI       |      KOS KOSRAEAN
     KPE KPELLE        |      KRC KARACHAY-BALK |      KRO KRU
     KRU KURUKH        |      KUM KUMYK         |      KUT KUTENAI
     LAD LADINO        |      LAH LAHNDA        |      LAM LAMBA
     LEZ LEZGHIAN      |      LOL MONGO         |      LOZ LOZI
     LUA LUBA-LULUA    |      LUI LUISENO       |      LUN LUNDA
     LUO LUO (KENYA AN |      LUS LUSHAI        |      MAD MADURESE
     MAG MAGAHI        | DEVA MAI MAITHILI      |      MAK MAKASAR
     MAN MANDINGO      |      MAP AUSTRONESIAN  |      MAS MASAI
     MDF MOKSHA        |      MDR MANDAR        | LATN MEN MENDE
     MGA IRISH, MIDDLE |      MIC MI'KMAQ; MICM |      MIN MINANGKABAU
     MIS MISCELLANEOUS |      MKH MON-KHMER (OT |      MNC MANCHU
     MNI MANIPURI      |      MNO MANOBO LANGUA |      MOH MOHAWK
     MOS MOSSI         |      MUL MULTIPLE LANG |      MUN MUNDA LANGUAG
     MUS CREEK         |      MWL MIRANDESE     |      MWR MARWARI
     MYN MAYAN LANGUAG |      MYV ERZYA         |      NAH NAHUATL
     NAI NORTH AMERICA |      NAP NEAPOLITAN    |      NDS LOW GERMAN; L
     NEW NEPAL BHASA;  |      NIA NIAS          |      NIC NIGER-KORDOFA
LATN NIU NIUEAN        |      NOG NOGAI         |      NON NORSE, OLD
LATN NSO NORTHERN SOTH |      NUB NUBIAN LANGUA |      NWC CLASSICAL NEW
     NYM NYAMWEZI      |      NYN NYANKOLE      |      NYO NYORO
     NZI NZIMA         |      OSA OSAGE         |      OTA TURKISH, OTTO
     OTO OTOMIAN LANGU |      PAA PAPUAN (OTHER |      PAG PANGASINAN
     PAL PAHLAVI       |      PAM PAMPANGA      |      PAP PAPIAMENTO
     PAU PALAUAN       |      PEO PERSIAN, OLD  |      PHI PHILIPPINE (O
     PHN PHOENICIAN    |      PON POHNPEIAN     |      PRA PRAKRIT LANGU
     PRO PROVEN&#XE7;A |      QAA PRIVATE USE   |      RAJ RAJASTHANI
     RAP RAPANUI       |      RAR RAROTONGAN    |      ROA ROMANCE (OTHE
     ROM ROMANY        |      SAD SANDAWE       |      SAH YAKUT
     SAI SOUTH AMERICA |      SAL SALISHAN LANG |      SAM SAMARITAN ARA
     SAS SASAK         |      SAT SANTALI       |      SCN SICILIAN
     SCO SCOTS         |      SEL SELKUP        |      SEM SEMITIC (OTHE
     SGA IRISH, OLD (T |      SGN SIGN LANGUAGE |      SHN SHAN
     SID SIDAMO        |      SIO SIOUAN LANGUA |      SIT SINO-TIBETAN
     SLA SLAVIC (OTHER |      SMA SOUTHERN SAMI |      SMI SAMI LANGUAGE
     SMJ LULE SAMI     |      SMN INARI SAMI    |      SMS SKOLT SAMI
     SNK SONINKE       |      SOG SOGDIAN       | LATN SON SONGHAI
     SRN SRANAN TONGO  |      SRR SERER         |      SSA NILO-SAHARAN
     SUK SUKUMA        |      SUS SUSU          |      SUX SUMERIAN
     SYR SYRIAC        |      TAI TAI (OTHER)   | LATN TEM TIMNE
     TER TERENO        |      TET TETUM         |      TIG TIGRE
     TIV TIV           | LATN TKL TOKELAU       |      TLH KLINGON; TLHI
     TLI TLINGIT       | LATN TMH TAMASHEK      |      TOG TONGA (NYASA)
LATN TPI TOK PISIN     |      TSI TSIMSHIAN     |      TUM TUMBUKA
     TUP TUPI LANGUAGE |      TUT ALTAIC (OTHER | LATN TVL TUVALU
     TYV TUVINIAN      |      UDM UDMURT        |      UGA UGARITIC
     UMB UMBUNDU       |      UND UNDETERMINED  |      VAI VAI
     VOT VOTIC         |      WAK WAKASHAN LANG |      WAL WALAMO
     WAR WARAY         |      WAS WASHO         |      WEN SORBIAN LANGU
     XAL KALMYK; OIRAT |      YAO YAO           |      YAP YAPESE
     YPK YUPIK LANGUAG |      ZAP ZAPOTEC       |      ZEN ZENAGA
     ZND ZANDE         |      ZUN ZUNI          |

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Marion Gunn <[email-masked]>
Date: Sun, 01 May 2005 09:57:45 +0100

Hi, Frank,

You seem to be missing LATN before KW and BR in some places, as in:

LATN KW CORNISH
LATN BR BRETON

Is this at all significant, or am I missing something?  Hard to be sure
with 100s of msgs (more than one could be expected to read) coming
through thick and fast on list <[email-masked]>. 

mg
 
-----
Scríobh Frank Ellermann:
> LATN AF  AFRIKAANS     |      AK  AKAN          | ETHI AM  AMHARIC...

-- 

Marion Gunn * EGTeo (Estab.1991)
27 Páirc an Fhéithlinn, Baile an 
Bhóthair, Co. Átha Cliath, Éire.
* [email-masked] * [email-masked] *

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 01 May 2005 12:02:55 +0200

> LATN BR BRETON

And others like fy, li, oc, nds, and what Doug already said.

> Is this at all significant, or am I missing something?

IMO it is significant, the missing piece is a procedure
to fill these gaps.

> 100s of msgs (more than one could be expected to read)
> coming through thick and fast on list <[email-masked]>.

It's quiet again after Randy gagged his ticket system ;-)

[reposted, mailing list problem after 2005-05-01 12:00 (?)]